<?php
    class ConfiguracaoModel extends Database {

		protected function insertImagem($ficheiro, $nomeFicheiro, $tipoFicheiro, $nomeTemporarioFicheiro, $erroFicheiro, $tamanhoFicheiro, $extensaoFicheiro, $extensaoActualFicheiro, $permitido, $nomeCompletoImagem, $destinoFicheiro){
			$stmt = $this->connect();
			$sql = "UPDATE configuracao SET valor = ? WHERE idConfiguracao = ?";
			$query = $stmt->prepare($sql);
			$query->execute(array($nomeCompletoImagem, 1));
			move_uploaded_file($nomeTemporarioFicheiro, $destinoFicheiro);
        }

		protected function insertNif($nif){
			$stmt = $this->connect();
			$sql = "UPDATE configuracao SET valor = ? WHERE idConfiguracao = ?";
			$query = $stmt->prepare($sql);
			$query->execute(array($nif, 7));
        }

		protected function insertTitulo($titulo){
			$stmt = $this->connect();
			$sql = "UPDATE configuracao SET valor = ? WHERE idConfiguracao = ?";
			$query = $stmt->prepare($sql);
			$query->execute(array($titulo, 2));
        }

		protected function insertRodape($rodape){
			$stmt = $this->connect();
			$sql = "UPDATE configuracao SET valor = ? WHERE idConfiguracao = ?";
			$query = $stmt->prepare($sql);
			$query->execute(array($rodape, 3));
        }

		protected function insertEndereco($endereco){
			$stmt = $this->connect();
			$sql = "UPDATE configuracao SET valor = ? WHERE idConfiguracao = ?";
			$query = $stmt->prepare($sql);
			$query->execute(array($endereco, 4));
        }

		protected function insertTelefone($telefone){
			$stmt = $this->connect();
			$sql = "UPDATE configuracao SET valor = ? WHERE idConfiguracao = ?";
			$query = $stmt->prepare($sql);
			$query->execute(array($telefone, 5));
        }

		protected function insertEmail($email){
			$stmt = $this->connect();
			$sql = "UPDATE configuracao SET valor = ? WHERE idConfiguracao = ?";
			$query = $stmt->prepare($sql);
			$query->execute(array($email, 6));
        }

		protected function insertSite($site){
			$stmt = $this->connect();
			$sql = "UPDATE configuracao SET valor = ? WHERE idConfiguracao = ?";
			$query = $stmt->prepare($sql);
			$query->execute(array($site, 8));
        }

		protected function insertCategoriaEmpresa($categoriaEmpresa){
			$stmt = $this->connect();
			$sql = "UPDATE configuracao SET valor = ? WHERE idConfiguracao = ?";
			$query = $stmt->prepare($sql);
			$query->execute(array($categoriaEmpresa, 9));
        }
		
        public function listaConfig(){
			$data = null;
			$sql = "SELECT * FROM configuracao";
			if($stmt = $this->connect()->query($sql)){
				while($row = $stmt->fetch()){
				 $data[] = $row;
				}
			}
			return $data;
		}

		public function eraseOldImg($img_antiga){
			$nameImg = "../../images/logo/" . $img_antiga;
			$fileInfo = glob($nameImg);
			$fileExt = explode(".", $fileInfo[0]);
			$fileActualExt = $fileExt[5];
        	$file = $nameImg;
			unlink($file);
		}
    }